
TYPO3.TYPO3CR - Feature # 2812

Status: Resolved Priority: Must have
Author: Robert Lemke Category: Query handling
Created: 2009-03-10 Assigned To: Karsten Dambekalns
Updated: 2011-05-05 Due date:
Subject: Support querying by a property which is a reference
Description

   $posts = $postRepository->findByBlog($blog);

Related issues:
related to TYPO3.TYPO3CR - Feature # 1875: Add more query options to persiste... Closed 2008-10-27

Associated revisions
Revision 1faa4813 - 2009-05-20 14:08 - Karsten Dambekalns
TYPO3CR:
    -  cleaned up PDO storage and search backend, refs #2891
    -  support querying for objects now works, resolves #2812, refs #1884, refs #1875
    -  added more operators for comparison when searching, refs #1884, refs #1875
    -  added and cleaned up some tests

History
#1 - 2009-03-24 13:07 - Karsten Dambekalns
- Status changed from New to Accepted

#2 - 2009-05-20 15:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2284.

#3 - 2011-05-05 17:12 - Robert Lemke
- Target version deleted (198)
